use 5.38.0;

use Test2::V0;

use Path::Tiny;
use File::Serialize;

use Part1;

my $input = path('input')->slurp;
my $example = path('example')->slurp;
my $solutions = deserialize_file('solutions.yml');

is [ map { Part1::race_solution(@$_)} Part1::parse_file($example)]
    => [4,8,9];

is Part1::solution_1($example) => 288;

cmp_ok Part1::solution_1($input), '<' ,230202;
is Part1::solution_1($input) => $solutions->{1};

done_testing;
